<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxCouponSpreadMapper">
	<resultMap id="BaseResultMap" type="com.iformall.domain.po.WxCouponSpread">
		<id column="id" jdbcType="BIGINT" property="id" />
		<result column="coupon_id" jdbcType="BIGINT" property="couponId" />
		<result column="title" jdbcType="VARCHAR" property="title" />
		<result column="content" jdbcType="VARCHAR" property="content" />
		<result column="image" jdbcType="VARCHAR" property="image" />
		<result column="link_url" jdbcType="VARCHAR" property="linkUrl" />
		<result column="create_date" jdbcType="TIMESTAMP" property="createDate" />
		<result column="update_date" jdbcType="TIMESTAMP" property="updateDate" />
	</resultMap>
	
	<sql id="allColumns">
	    `id`,`coupon_id`,`title`,`content`,`image`,`link_url`,`create_date`,`update_date` 
	</sql>

	<sql id="dynamicWhereConditions">
	        where 1 = 1
	    
		<if test=" null != id "> 
		and `id` = #{id} 
       	
		</if>    
	    
		<if test=" null != couponId "> 
		and `coupon_id` = #{couponId} 
       	
		</if>    
	    
		<if test=" null != title "> 
		and `title`  like concat('%', #{title},'%')
       	
		</if>    
	    
		<if test=" null != content "> 
		and `content`  like concat('%', #{content},'%')
       	
		</if>    
	    
		<if test=" null != image "> 
		and `image`  like concat('%', #{image},'%')
       	
		</if>    
	    
		<if test=" null != linkUrl "> 
		and `link_url`  like concat('%', #{linkUrl},'%')
       	
		</if>    
	    
		<if test=" null != createDate "> 
		and `create_date` = #{createDate} 
       	
		</if>    
	    
		<if test=" null != updateDate "> 
		and `update_date` = #{updateDate} 
       	
		</if>    
		<if test=" null != ids ">
		 	and id in  
			<foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
			#{idItem}
			</foreach>
		</if>		
		<if test=" null != sortColumns"> order by ${sortColumns} </if>
	</sql>
	
	<select id="findList" parameterType="com.iformall.domain.po.WxCouponSpread" resultMap="BaseResultMap">
		select <include refid="allColumns" /> from wx_coupon_spread
		<include refid="dynamicWhereConditions" />
	</select>
	
	
	
	
	
	
</mapper>
